Bug 921785 - plymouth-quit-wait.service fails, resulting in very long boot time.
Summary: plymouth-quit-wait.service fails, resulting in very long boot time.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-settings
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F19Target-kde
TreeView+ depends on / blocked
 
Reported: 2013-03-14 22:36 UTC by Nikolai Maziashvili
Modified: 2013-10-23 04:52 UTC (History)
21 users (show)

Fixed In Version: kde-settings-19-20.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 987242 (view as bug list)
Environment:
Last Closed: 2013-05-15 03:31:48 UTC


Attachments (Terms of Use)
Smolt-Profile (3.92 KB, application/octet-stream)
2013-03-14 22:36 UTC, Nikolai Maziashvili
no flags Details

Description Nikolai Maziashvili 2013-03-14 22:36:03 UTC
Created attachment 710286 [details]
Smolt-Profile

Description of problem:
It takes quite a long time for my otherwise quite capable laptop to boot up. After following boot process in text mode i noticed that boot process hangs for some 15 seconds after WPA Supplicant daemon start and throws "Failed to start Wait for Plymouth Boot Screen to Quit." message.

Version-Release number of selected component (if applicable):


How reproducible:
every boot time.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

I do have (kmod) nvidia drivers installed.

This is output of "systemctl status plymouth-quit-wait.service"

[ SONIK ~] # systemctl status plymouth-quit-wait.service
plymouth-quit-wait.service - Wait for Plymouth Boot Screen to Quit
          Loaded: loaded (/usr/lib/systemd/system/plymouth-quit-wait.service; static)
          Active: failed (Result: timeout) since Thu 2013-03-14 23:08:55 CET; 11min ago
        Main PID: 896
          CGroup: name=systemd:/system/plymouth-quit-wait.service

Mar 14 23:08:35 SONIK systemd[1]: Starting Wait for Plymouth Boot Screen to Quit...
Mar 14 23:08:55 SONIK systemd[1]: plymouth-quit-wait.service operation timed out. Terminating.
Mar 14 23:08:55 SONIK systemd[1]: Failed to start Wait for Plymouth Boot Screen to Quit.
Mar 14 23:08:55 SONIK systemd[1]: Unit plymouth-quit-wait.service entered failed state

Comment 1 paul59584 2013-03-30 04:06:02 UTC
me too, but i have intel graphics.

$ systemctl status plymouth-quit-wait.service
plymouth-quit-wait.service - Wait for Plymouth Boot Screen to Quit
	  Loaded: loaded (/usr/lib/systemd/system/plymouth-quit-wait.service; static)
	  Active: failed (Result: timeout) since Sat 2013-03-30 08:51:09 NZDT; 8h ago
	Main PID: 799
	  CGroup: name=systemd:/system/plymouth-quit-wait.service

Comment 2 Nikolai Maziashvili 2013-03-30 08:00:12 UTC
Hi P.Johns, are you running KDE? I have Gnome F18 running on my wifes laptop and noticed that there is no failing plymouth-quit-wait.service... I don't understand how this can be DE related, but fact speaks for itself...

Comment 3 paul59584 2013-03-30 10:35:12 UTC
no, i'm running Gnome on fully updated F18 machine.

Comment 4 paul59584 2013-04-14 04:19:27 UTC
seems to have been ok for the last week now.

$ systemctl status plymouth-quit-wait.service
plymouth-quit-wait.service - Wait for Plymouth Boot Screen to Quit
	  Loaded: loaded (/usr/lib/systemd/system/plymouth-quit-wait.service; static)
	  Active: inactive (dead) since Sun 2013-04-14 08:56:10 NZST; 7h ago
	 Process: 795 ExecStart=/usr/bin/plymouth --wait (code=exited, status=0/SUCCESS)

Comment 5 Balaji G 2013-04-15 03:29:13 UTC
I face the same problem with Fedora 18 KDE spin completely updated to latest packages. 

systemctl status plymouth-quit-wait.service
plymouth-quit-wait.service - Wait for Plymouth Boot Screen to Quit
          Loaded: loaded (/usr/lib/systemd/system/plymouth-quit-wait.service; static)
          Active: failed (Result: timeout) since Mon 2013-04-15 08:43:10 IST; 3min 1s ago
        Main PID: 585
          CGroup: name=systemd:/system/plymouth-quit-wait.service

The above problem results in delayed boot times. Is there a workaround. I see this problem happening continuously.

Comment 6 Balaji G 2013-04-16 18:17:50 UTC
On testing and analysis, its found that the problem happens only with Fedora-KDE spin. The problem gets resolved by changing the kdm.service file. The line "Conflicts" should be changed to Conflicts=getty@tty1.service plymouth-quit.service and the reference to livesys-late.service should be removed too. The above change works fine and the problem gets fixed and the delayed boot does not happen.

Comment 7 Rex Dieter 2013-04-16 18:20:05 UTC
Turns out kdm.service already had:
Conflicts=getty@tty1.service
Conflicts=plymouth-quit.service

on separate lines, so seems the important needed change here is removing
livesys-late.service from After=

Comment 8 John Reiser 2013-05-05 23:59:54 UTC
I see this problem on Fedora-19-Beta-TC3-i686 plus updates-testing, running Gnome desktop.   It happens both with and without "rhgb" in the kernel boot command line.  My syslog has these lines that contain 'lymouth':
-----
May 05 17:48:41 f19r32 systemd[1]: Starting Show Plymouth Boot Screen...
May 05 17:48:42 f19r32 systemd[1]: Started Show Plymouth Boot Screen.
May 05 17:48:42 f19r32 systemd[1]: Starting Forward Password Requests to Plymouth Directory Watch.
May 05 17:48:42 f19r32 systemd[1]: Started Forward Password Requests to Plymouth Directory Watch.
May 05 17:48:45 f19r32 systemd[1]: Starting Plymouth switch root service...
May 05 17:48:45 f19r32 systemd[1]: Started Plymouth switch root service.
May 05 17:48:56 f19r32 systemd[1]: Starting Tell Plymouth To Write Out Runtime Data...
May 05 17:48:56 f19r32 systemd[1]: Started Tell Plymouth To Write Out Runtime Data.
May 05 17:49:17 f19r32 systemd[1]: plymouth-quit-wait.service operation timed out. Terminating.
May 05 17:49:18 f19r32 systemd[1]: Failed to start Wait for Plymouth Boot Screen to Quit.
May 05 17:49:18 f19r32 systemd[1]: MESSAGE=Unit plymouth-quit-wait.service entered failed state.
-----

I am using the default nouveau driver on this video graphics card:
05:00.0 VGA compatible controller [0300]: NVIDIA Corporation GT218 [GeForce 8400 GS Rev. 3] [10de:10c3] (rev a2)


The software packages are:
fedup-dracut-plymouth-0.7.3-1.fc19.noarch
plymouth-0.8.9-0.2013.03.26.0.fc19.i686

Comment 9 Václav Mocek 2013-05-07 10:17:13 UTC
The same issue on an old PC with Nouveau driver and F18:

-------------
May  7 10:27:46 netcat systemd[1]: Started Wait for Plymouth Boot Screen to Quit.
May  7 10:41:46 netcat systemd[1]: Starting Show Plymouth Reboot Screen...
May  7 10:43:12 netcat systemd[1]: plymouth-quit-wait.service operation timed out. Terminating.
May  7 10:43:12 netcat systemd[1]: Failed to start Wait for Plymouth Boot Screen to Quit.
May  7 10:43:12 netcat systemd[1]: Unit plymouth-quit-wait.service entered failed state
May  7 10:44:38 netcat systemd[1]: Starting Show Plymouth Reboot Screen...
May  7 10:46:03 netcat systemd[1]: plymouth-quit-wait.service operation timed out. Terminating.
May  7 10:46:03 netcat systemd[1]: Failed to start Wait for Plymouth Boot Screen to Quit.
May  7 10:46:03 netcat systemd[1]: Unit plymouth-quit-wait.service entered failed state
-------------
01:00.0 VGA compatible controller: NVIDIA Corporation NV34 [GeForce FX 5500] (rev a1)

Comment 10 Fedora Update System 2013-05-13 15:09:46 UTC
kde-settings-19-20.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kde-settings-19-20.fc19

Comment 11 Fedora Update System 2013-05-13 15:11:11 UTC
kde-settings-4.9-21.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kde-settings-4.9-21.fc18

Comment 12 Fedora Update System 2013-05-14 01:23:55 UTC
Package kde-settings-4.9-21.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-settings-4.9-21.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8057/kde-settings-4.9-21.fc18
then log in and leave karma (feedback).

Comment 13 Nikolai Maziashvili 2013-05-14 08:02:10 UTC
kde-settings-4.9-21 has resolved this issue. Thanx to all involved. 
I will wait for it to be pushed to updates and then close tocket.

Comment 14 Fedora Update System 2013-05-15 03:31:48 UTC
kde-settings-4.9-21.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2013-05-24 20:33:18 UTC
kde-settings-19-20.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Dong Chen 2013-05-26 12:23:53 UTC
I have a pure gnome system in f19-beta RC4, and meet same trouble. so do I need to install the kde-settings?.
I'll try to install kde-settings tonight, expect it work.

Comment 17 Dong Chen 2013-05-26 12:51:06 UTC
I have same trouble. I am runing F19-beta RC3 with pure gnome system, using intel ivb internal vga. I installed kde-setting, it doesn't work.

[dongschen@localhost ~]$ systemctl status plymouth-quit-wait.service
plymouth-quit-wait.service - Wait for Plymouth Boot Screen to Quit
   Loaded: loaded (/usr/lib/systemd/system/plymouth-quit-wait.service; disabled)
   Active: failed (Result: timeout) since Sun 2013-05-26 20:42:39 CST; 7min ago
 Main PID: 510
   CGroup: name=systemd:/system/plymouth-quit-wait.service

Comment 18 Dong Chen 2013-05-26 12:58:43 UTC
 my boot.log:        
         Starting Wait for Plymouth Boot Screen to Quit...
         Starting GNOME Display Manager...
         Starting Kernel Samepage Merging (KSM) Tuning Daemon...
[[32m  OK  [0m] Started Machine Check Exception Logging Daemon.
[[32m  OK  [0m] Started Install ABRT coredump hook.
[[32m  OK  [0m] Started Kernel Samepage Merging (KSM) Tuning Daemon.
[[32m  OK  [0m] Started LSB: Start the iprupdate utility.
[[32m  OK  [0m] Started LSB: Start the ipr init daemon.
         Starting LSB: Start the ipr dump daemon...
[[32m  OK  [0m] Started LSB: Start the ipr dump daemon.
[[32m  OK  [0m] Started Collect UEFI-saved oopses for ABRT.
[[32m  OK  [0m] Started Login Service.
[[32m  OK  [0m] Started Bluetooth service.
[[32m  OK  [0m] Reached target Bluetooth.
[[32m  OK  [0m] Started RealtimeKit Scheduling Policy Service.
[[32m  OK  [0m] Started GNOME Display Manager.
[[0m[31m*     [0m] (1 of 7) A start job is running for firewalld - dynamic firewall daemon
[K[[1;31m*[0m[31m*    [0m] (1 of 7) A start job is running for firewalld - dynamic firewall daemon
[K[[31m*[1;31m*[0m[31m*   [0m] (1 of 7) A start job is running for firewalld - dynamic firewall daemon
[K[ [31m*[1;31m*[0m[31m*  [0m] (2 of 7) A start job is running for Avahi mDNS/DNS-SD Stack
[K[  [31m*[1;31m*[0m[31m* [0m] (2 of 7) A start job is running for Avahi mDNS/DNS-SD Stack
[K[[32m  OK  [0m] Started LSB: Automatically install DKMS modules for new kernels.
[   [31m*[1;31m*[0m[31m*[0m] (2 of 6) A start job is running for Avahi mDNS/DNS-SD Stack
[K[    [31m*[1;31m*[0m] (3 of 6) A start job is running for Restorecon maintaining path file context
[K[     [31m*[0m] (3 of 6) A start job is running for Restorecon maintaining path file context
[K[[1;31mFAILED[0m] Failed to start Wait for Plymouth Boot Screen to Quit.
See 'systemctl status plymouth-quit-wait.service' for details.

Comment 19 Rex Dieter 2013-05-26 13:13:28 UTC
This bug is about using kdm login manager only

Comment 20 Kevin Kofler 2013-05-26 16:38:04 UTC
Please file a separate bug against gdm (which owns /usr/lib/systemd/system/gdm.service).

Comment 21 Nikolai Maziashvili 2013-05-26 19:02:13 UTC
This was solved with latest updates of kde-settings (v 4.9-21). Thank you devs for your effort. I would like to ask Dong Chen to open new tocket for F19 specifically.

P.S. And i thought we couldn't add comments to the tickets that have been marked "closed"...

Comment 22 Boris Therasse 2013-08-09 14:27:52 UTC
For information, i dont use kdm login manager and i still have this problem, even after a fresh install.

I found something in a forum to fix this, that's awkward bug seems to work

Just rename /var/log/journal to /var/log/journal.org

I dont know if it can be useful so ...
(it's my first post here :D)

Comment 23 Nelson Benitez 2013-08-13 17:55:43 UTC
A quick note for those who use gnome and still have this bug, subscribe to bug 970801

Regards,

Comment 24 Gilboa Davara 2013-10-21 12:32:08 UTC
Seeing this bug on a fully updated F19/x86_64 w/ KDM.
Connecting via SSH and starting kdm by hand (systemctl restart kdm.service) works just fine.

- Gilboa

Comment 25 Gilboa Davara 2013-10-21 12:33:26 UTC
(Duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=967521 ?)

Comment 26 Rex Dieter 2013-10-21 12:38:25 UTC
Strictly no, while the symptoms are similar, the causes between this and bug #967521 are different.  This bug was specific to f18, if you're using f19, then most likely are you indeed seeing bug #967521

Comment 27 Gilboa Davara 2013-10-23 04:52:03 UTC
Rex,

Thanks for the info.
Sorry for the noise.

- GIlboa


Note You need to log in before you can comment on or make changes to this bug.